# Summary

This is the User Guide for Turi Create
* [Overview](README.md)
* [Working with data](sframe/README.md)
    * [Tabular data](sframe/tabular-data.md)
        * [Loading and Saving](sframe/sframe-intro.md)
        * [Data Manipulation](sframe/data-manipulation.md)
        * [SQL Databases](data_formats_and_sources/sql_integration.md)
    * [Graph data](sgraph/sgraph.md)
    * [Text data](text/analysis.md)
    * [Visualization](vis/README.md)
        * [Example Gallery](vis/gallery.md)
        * [Sample Use Cases](vis/use_cases.md)
* [Task focused toolkits](applications/README.md)
    * [Recommender systems](recommender/README.md)
        * [Using models](recommender/using-trained-models.md)
        * [Choosing a model](recommender/choosing-a-model.md)
    * [Image classification](image_classifier/README.md)
        * [Advanced Usage](image_classifier/advanced-usage.md)
        * [How it works](image_classifier/how-it-works.md)
        * [Deployment to Core ML](image_classifier/export-coreml.md)
    * [Image similarity](image_similarity/README.md)
        * [Deployment to Core ML](image_similarity/export-coreml.md)
    * [Object detection](object_detection/README.md)
        * [Data Preparation](object_detection/data-preparation.md)
        * [Advanced Usage](object_detection/advanced-usage.md)
        * [Deployment to Core ML](object_detection/export-coreml.md)
        * [How it works](object_detection/how-it-works.md)
    * [Style transfer](style_transfer/README.md)
        * [How it works](style_transfer/how-it-works.md)
        * [Deployment to Core ML](style_transfer/export-coreml.md)
    * [Activity classification](activity_classifier/README.md)
        * [Data Preparation](activity_classifier/data-preparation.md)
        * [Advanced Usage](activity_classifier/advanced-usage.md)
        * [Deployment to Core ML](activity_classifier/export-coreml.md)
        * [How it works](activity_classifier/how-it-works.md)
    * [Text classifier](text_classifier/README.md)
* [Machine learning essentials](modeling-data/README.md)
    * [Classification](supervised-learning/classifier.md)
        * [Boosted Trees Classifier](supervised-learning/boosted_trees_classifier.md)
        * [Decision Tree Classifier](supervised-learning/decision_tree_classifier.md)
        * [Logistic Regression](supervised-learning/logistic-regression.md)
        * [Nearest Neighbor Classifier](supervised-learning/knn_classifier.md)
        * [Random Forest Classifier](supervised-learning/random_forest_classifier.md)
        * [SVM](supervised-learning/svm.md)
        * [Deployment to Core ML](supervised-learning/export-coreml.md)
    * [Clustering](clustering/README.md)
        * [KMeans](clustering/kmeans.md)
        * [DBSCAN](clustering/dbscan.md)
    * [Graph analytics](graph_analytics/README.md)
    * [Nearest neighbors](nearest_neighbors/nearest_neighbors.md)
    * [Regression](supervised-learning/regression.md)
        * [Boosted Trees Regression](supervised-learning/boosted_trees_regression.md)
        * [Decision Tree Regression](supervised-learning/decision_tree_regression.md)
        * [Linear Regression](supervised-learning/linear-regression.md)
        * [Random Forest Regression](supervised-learning/random_forest_regression.md)
        * [Deployment to Core ML](supervised-learning/export-coreml.md)
    * [Text analysis](text/README.md)
* [Evaluating models](evaluation/README.md)
    * [Regression metrics](evaluation/regression.md)
    * [Classification metrics](evaluation/classification.md)
* [Additional Resources](conclusion.md)
    * [C++ API](cpp.md)
    * [Dataset Disclaimer](datasets.md)
